function featuresAll=calculateTheAdditionalFeatures(ecg,QRS,Rs,Qs,Ss,Ps,Ts,badIndices)
% function featuresAll=calculateTheAdditionalFeatures(ecg,QRS,badIndices)
featuresWaves1=getSomeAddedWaveletFeatures(ecg,QRS);
% size(featuresWaves1)
% featuresWaves2=getSomeAddedWaveletFeatures2(ecg,QRS);
% size(featuresWaves2)
featuresA=getSomeAddedFeatures(ecg,Rs,Qs,Ss,Ps,Ts);
featuresP=calculateFeaturesPbad(QRS,badIndices);
featuresSS=calculateSSFeatures(ecg);
[featuresMorteza]=findMortezaFeatures(ecg');
% featuresP2=calculateFeaturesP(ecg);
% size(featuresMorteza)
% featuresAll=[featuresWaves1,featuresP,featuresSS,featuresA,featuresMorteza,featuresWaves2,featuresP2];
featuresAll=[featuresWaves1,featuresP,featuresSS,featuresA,featuresMorteza];
end